using Indotalent.Infrastructure.Authentication.Identity;
using Microsoft.Extensions.Options;

namespace Indotalent.Infrastructure.Authentication.Keycloak;

public class KeycloakService(IOptions<IdentitySettingsModel> options)
{
    private readonly IdentitySettingsModel _settings = options.Value;

    public IdentitySettingsModel GetConfiguration() => _settings;

    public KeycloakSettingsModel GetPasswordPolicy() => _settings.SsoKeycloak;
}
